imagefilter
imagefontheight
GD and Image Functions
PHP Manual

# imageflip

(PHP 5 >= 5.5.0, PHP 7)

imageflip — Flips an image using a given mode

### Description

bool imageflip ( resource `$image` , int `$mode` )

Flips the `image` image using the given `mode`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`mode`

  Flip mode, this can be one of the `IMG_FLIP_*` constants:

  Constant | Meaning
  --- | ---
  `IMG_FLIP_HORIZONTAL` | Flips the image horizontally.
  `IMG_FLIP_VERTICAL` | Flips the image vertically.
  `IMG_FLIP_BOTH` | Flips the image both horizontally and vertically.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Flips an image vertically

This example uses the `IMG_FLIP_VERTICAL` constant.

`<?php
// File
$filename = 'phplogo.png';
// Content type
header('Content-type: image/png');
// Load
$im = imagecreatefrompng($filename);
// Flip it vertically
imageflip($im, IMG_FLIP_VERTICAL);
// Output
imagejpeg($im);
imagedestroy($im);
?>`

The above example will output something similar to:

Example #2 Flips the image horizontally

This example uses the `IMG_FLIP_HORIZONTAL` constant.

`<?php
// File
$filename = 'phplogo.png';
// Content type
header('Content-type: image/png');
// Load
$im = imagecreatefrompng($filename);
// Flip it horizontally
imageflip($im, IMG_FLIP_HORIZONTAL);
// Output
imagejpeg($im);
imagedestroy($im);
?>`

The above example will output something similar to:

### Notes

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

imagefilter
imagefontheight
GD and Image Functions
PHP Manual